import type { ActionReturnType, actions } from 'astro:actions';

export type Reports = Exclude<ActionReturnType<typeof actions.report.reports>['data'], undefined>['reports'];
export type Report = Reports[0];

export type ReportStatus = Exclude<
  Exclude<ActionReturnType<typeof actions.report.reportStatus>['data'], undefined>['reportStatus'],
  null
>;

export type StrikeReasons = Exclude<
  ActionReturnType<typeof actions.report.strikeReasons>['data'],
  undefined
>['strikeReasons'];
